> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Specific Gift Card Redemption

Retrieves a specific Gift Card Redemption record

## HTTP Request

`GET https://api.vindicia.com/gift_card_redemptions/:redemption/`

## Route (URL) Parameters

| Parameter | Default | Description | Required |
| - | - | - | - |
| redemption | n/a | The **id** or the **vid** of the Gift Card Redemption to retrieve | Yes |

## Query Parameters

None.

## Accepts

None.

## Returns

JSON - full [Gift Card Redemptions](Gift_Card_Redemptions) object.

## Example Request

```

curl -X GET  \
-u acaff38d462f9430d5cbcbaf:a575771fc679b9de \
"https://api.staging.us-west.vindicia.com/gift_card_redemptions/683f0029199971d95fd51"91c7760b70f66fc4466"
```

## Example Response

The above command returns JSON structured like this:

```
{
    "object": "GiftCardRedemption",
    "vid": "683f0029199971d95fd5191c7760b70f66fc4466",
    "created": "2021-03-25T16:44:48-07:00",
    "gift_card": {
        "object": "GiftCard",
        "vid": "8d1ece91e44441c3d424717c561dc8df74c4b5e4",
        "last_digits": "9FSE",
        "pin_length": 16,
        "hash_type": "sha1",
        "pin_hash": "b535aae49e30398c710989a79d56306e9ec0f309",
        "payment_provider": "Topps",
        "status": "Redeemed",
        "amount": 500,
        "currency": "MXN",
        "product_number": "91422282643651081111"
    },
    "account": {
        "object": "Account",
        "id": "cust_1234",
        "vid": "f147870b2c86a00fb1264fb64c0a8b58fcd95b4d",
        "created": "2021-03-09T14:35:02-08:00",
        "email": "cbrown@example.com",
        "email_type": "html",
        "company": "Peanuts",
        "name": "Charlie Brown",
        "shipping_address": {
            "object": "Address",
            "vid": "dad524f59d1bd72f10a9162b7d7790caa39678dc",
            "name": "Charlie Brown",
            "line1": "123 Main Street",
            "city": "San Francisco",
            "district": "CA",
            "postal_code": "94105",
            "country": "US",
            "phone": "415-555-3212"
        },
        "credit": {
            "object": "Credit"
        }
    },
    "reversed": "2021-03-25T16:46:44-07:00"
}

```

**Parent topic:**[Gift Card Redemptions](../topics/Gift_Card_Redemptions)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.